{% extends 'base.html' %}
{% load static %}

{% block content %}
<link rel="stylesheet" type="text/css" href="{% static 'myapp/css/login.css' %}">
<div class="login-container">
  <h2 class="loginTitle">Login</h2>
  {% if form.errors %}
  <p class="errorMessage">Invalid username or password.</p>
  {% endif %}
  <form class="loginForm" method="post" action="{% url 'login' %}">
    {% csrf_token %}
    <label for="{{ form.username.id_for_label }}">User Name:</label>
    {{ form.username }}
    <label for="{{ form.password.id_for_label }}">Password:</label>
    {{ form.password }}
    <button class="submitBtn" type="submit">Login</button>
  </form>
  <div class="line">[or]</div>
  <p class="registerBtn">Don't have an account?<a class="registerLink" href="{% url 'register' %}">Register here</a>.</p>
</div>
{% endblock %}